PETSc version 3.17.4
Fix/Edit manual page

# PetscDualSpaceSetFromOptions

sets parameters in a PetscDualSpace from the options database

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetFromOptions(PetscDualSpace sp)

Collective on sp

### Input Parameter

| sp | - the PetscDualSpace object to set options for

### Options Database

| -petscdualspace_order <order> | - the approximation order of the space
| -petscdualspace_form_degree <deg> | - the form degree, say 0 for point evaluations, or 2 for area integrals
| -petscdualspace_components <c> | - the number of components, say d for a vector field
| -petscdualspace_refcell <celltype> | - Reference cell type name

### See Also

PetscDualSpaceView(), PetscDualSpace, PetscObjectSetFromOptions()

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceSetFromOptions_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceSetFromOptions_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages